Skip to main content
`Ctrl`+`K`

# PetscLogStateStagePush

Start a new logging stage.

## Synopsis

    #include "petsclog.h"
    PetscErrorCode PetscLogStateStagePush(PetscLogState state, PetscLogStage stage)

Not collective

## Input Parameters

- state - a `PetscLogState`

- stage - a registered `PetscLogStage`

## Note

This is called for the global state (`PetscLogGetState()`) in `PetscLogStagePush()`.

## See Also

Profiling, `PetscLogState`, `PetscLogStateStageRegister()`, `PetscLogStateStagePop()`, `PetscLogStateGetCurrentStage()`

## Level

developer

## Location

src/sys/logging/state/logstate.c

Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages